Macでrbenvから入れたRuby 2.4.2にRailsをインストールしようとしたら失敗する(Could not create Makefile due to some reason, probably lack of necessary libraries and/or headers.)

新規購入時とかOS再インストール時とかで毎回忘れてしまうのでメモしておきます。 TL;DR 以下を行う * xcode-select –installでXcode Command Line Tools入れる * Xcode起動して規約を読んで同意する 詳細 実行コマンドとログを垂れ流します。 $ gem install rails Fetching: concurrent-ruby-1.0.5.gem (100%) SuccessfuREAD MORE